<?php defined('MW_PATH') || exit('No direct script access allowed');

/**
 * OptionLicense
 *
 * @package RedSpider EMA
 * @author Rauf Ahmad <ahmad@redspider.ae>
 * @link https://www.redspider.ae/
 * @copyright 2013-2017 RedSpider EMA (https://www.redspider.ae)
 * @license https://www.redspider.ae/license/
 * @since 1.3.4.9
 */

class OptionMeta extends OptionBase
{
    // settings category
    protected $_categoryName = 'system.meta';

    public $home_title;

    public $home_description;
    public $home_keywords;
 

    public function rules()
    {
        $rules = array(
            array('home_title, home_description, home_keywords ', 'safe'),
 
        );

        return CMap::mergeArray($rules, parent::rules());
    }

    public function attributeLabels()
    {
        $labels = array(
        'rss' => 'RSS',
             
        );

        return CMap::mergeArray($labels, parent::attributeLabels());
    }

    public function attributeHelpTexts()
    {
        $texts = array();
        return CMap::mergeArray($texts, parent::attributeHelpTexts());
    }
}
